Query asynchronous job requests
GET /api/v1/jobs. Jobs API reference.
Query asynchronous job requests
Authentication · API availability · Download OpenAPI
A successful response.Bad Request. The API gateway did not process the request because of missing parameter or invalid value of parameters.Unauthorized. The API gateway did not process the request because it lacks valid authentication credentials for the target resource. The request header has either no authorization details or an authorization that has been refused.Forbidden. The API gateway did not process the request because the requestor does not have edge-app level access permission for the operation or does not have access scope to the project.Internal Server Error. The API gateway experienced an unexpected condition. Specific error condition is indicated in error codes.Gateway Timeout. The API gateway did not receive a timely response from an upstream microservice it needed to communicate with in order to complete the request.An unexpected error response.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
Only summary count is required.
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
status of the job.
project name.
name pattern of the job.
Response
A successful response.
Returned list of jobs matched by filter criteria